cascading.flow.tez.util

## Class SecondarySortKeyValuesReader

- java.lang.Object
- - org.apache.tez.runtime.api.Reader
  - - org.apache.tez.runtime.library.api.KeyValuesReader
    - - cascading.flow.tez.util.SecondarySortKeyValuesReader

-     public class SecondarySortKeyValuesReader
      extends org.apache.tez.runtime.library.api.KeyValuesReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.tez.runtime.library.api.KeyValuesReader

      `completedProcessing`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecondarySortKeyValuesReader(org.apache.tez.runtime.library.api.KeyValuesReader parent, java.util.Comparator<Tuple> groupComparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `advance()`
    `java.lang.Object` | `getCurrentKey()`
    `java.lang.Iterable<java.lang.Object>` | `getCurrentValues()`
    `boolean` | `next()`

    - ### Methods inherited from class org.apache.tez.runtime.library.api.KeyValuesReader

      `hasCompletedProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecondarySortKeyValuesReader

          public SecondarySortKeyValuesReader(org.apache.tez.runtime.library.api.KeyValuesReader parent,
                                      java.util.Comparator<Tuple> groupComparator)

  - ### Method Detail

    - #### next

          public boolean next()
                       throws java.io.IOException

      Specified by:
        `next` in class `org.apache.tez.runtime.library.api.KeyValuesReader`
      Throws:
        `java.io.IOException`

    - #### advance

          protected boolean advance()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCurrentKey

          public java.lang.Object getCurrentKey()
                                         throws java.io.IOException

      Specified by:
        `getCurrentKey` in class `org.apache.tez.runtime.library.api.KeyValuesReader`
      Throws:
        `java.io.IOException`

    - #### getCurrentValues

          public java.lang.Iterable<java.lang.Object> getCurrentValues()
                                                                throws java.io.IOException

      Specified by:
        `getCurrentValues` in class `org.apache.tez.runtime.library.api.KeyValuesReader`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.